// JScript 文件


(function($){

    $.fn.checkedAll = function(tableid,cbindex){
        $(this).bind("click",function(){
           
                    var trs = $("#"+tableid).children("tbody").children("tr");
                    
                    for(var index=0;index<trs.size();index++){
                        var cbx = trs.eq(index).children(":eq("+cbindex+")").children(":checkbox")
                     
                        if(cbx.size()!=0)
                        cbx.attr("checked",this.checked)
                    }
                
              
        });
 

    };
})(jQuery);


(function($){

    $.fn.checkedRev = function(tableid,cbindex){
        $(this).bind("click",function(){
                
                var trs = $("#"+tableid).children("tbody").children("tr");
                
                for(var index=0;index<trs.size();index++){
                    var cbx = trs.eq(index).children(":eq("+cbindex+")").children(":checkbox")
                 
                    if(cbx.size()!=0)
                    cbx.attr("checked",!cbx.attr("checked"))
                }
                
        });
    };
})(jQuery);
